JENAOntology (Alignment API and Server)
Date: 2010-03-31

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Alignment API and Server 4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## fr.inrialpes.exmo.ontowrap.jena25
Class JENAOntology

    java.lang.Object
      fr.inrialpes.exmo.ontowrap.BasicOntology<com.hp.hpl.jena.ontology.OntModel>
          fr.inrialpes.exmo.ontowrap.jena25.JENAOntology

All Implemented Interfaces:
  LoadedOntology<com.hp.hpl.jena.ontology.OntModel>, Ontology<com.hp.hpl.jena.ontology.OntModel>

    public class JENAOntology

extends BasicOntology<com.hp.hpl.jena.ontology.OntModel>
implements LoadedOntology<com.hp.hpl.jena.ontology.OntModel>

Field Summary
`protected static com.hp.hpl.jena.util.iterator.Map1<com.hp.hpl.jena.ontology.OntClass,com.hp.hpl.jena.ontology.OntResource>` | `mapClass`
`protected static com.hp.hpl.jena.util.iterator.Map1<com.hp.hpl.jena.ontology.Individual,com.hp.hpl.jena.ontology.OntResource>` | `mapInd`
`protected static com.hp.hpl.jena.util.iterator.Map1<com.hp.hpl.jena.ontology.OntProperty,com.hp.hpl.jena.ontology.OntResource>` | `mapProperty`

Fields inherited from class fr.inrialpes.exmo.ontowrap.BasicOntology
`file, formalism, formalismURI, onto, uri`

Constructor Summary
`JENAOntology()`

Method Summary
`Set<com.hp.hpl.jena.ontology.OntClass>` | `getClasses()`
`Set<com.hp.hpl.jena.ontology.DatatypeProperty>` | `getDataProperties()`
`Set<com.hp.hpl.jena.ontology.OntResource>` | `getEntities()` Returns all named entities having URI beginning with the ontology URI
`Object` | `getEntity(URI u)`
`Set<String>` | `getEntityAnnotations(Object o)` Returns all the values of the "owl:AnnotationProperty" property for a given entity.
`void` | `getEntityAnnotations(Object o, Set<String> annots, String lang)`
`Set<String>` | `getEntityAnnotations(Object o, String lang)` Returns all the values of the "owl:AnnotationProperty" property for a given entity expressed in the required language.
`Set<String>` | `getEntityComments(Object o)` Returns all the values of textual properties (e.g., "rdfs:comment", rdfs:label in RDFS/OWL) for a given entity
`Set<String>` | `getEntityComments(Object o, String lang)` Returns the values ofof textual properties (e.g., "rdfs:comment", rdfs:label in RDFS/OWL) for a given entity and for a given natural language (attribute xml:lang).
`String` | `getEntityName(Object o)` returns the default name of an entity if specified.
`String` | `getEntityName(Object o, String lang)` returns the default name of an entity in a language (attribute xml:lang) if specified.
`Set<String>` | `getEntityNames(Object o)` Returns all the names a given entity (e.g., rdfs:labels in OWL/RDFS).
`Set<String>` | `getEntityNames(Object o, String lang)` returns all the names of an entity in a language if specified.
`URI` | `getEntityURI(Object o)`
`Set<com.hp.hpl.jena.ontology.Individual>` | `getIndividuals()`
`Set<com.hp.hpl.jena.ontology.ObjectProperty>` | `getObjectProperties()`
`Set<com.hp.hpl.jena.ontology.OntProperty>` | `getProperties()`
`boolean` | `isClass(Object o)`
`boolean` | `isDataProperty(Object o)`
`boolean` | `isEntity(Object o)`
`boolean` | `isIndividual(Object o)`
`boolean` | `isObjectProperty(Object o)`
`boolean` | `isProperty(Object o)`
`int` | `nbClasses()`
`int` | `nbDataProperties()`
`int` | `nbEntities()`
`int` | `nbIndividuals()`
`int` | `nbObjectProperties()`
`int` | `nbProperties()`
`void` | `unload()`

Methods inherited from class fr.inrialpes.exmo.ontowrap.BasicOntology
`getFile, getFormalism, getFormURI, getFragmentAsLabel, getOntology, getURI, setFile, setFormalism, setFormURI, setOntology, setURI`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface fr.inrialpes.exmo.ontowrap.Ontology
`getFile, getFormalism, getFormURI, getOntology, getURI, setFile, setFormalism, setFormURI, setOntology, setURI`

Field Detail

### mapProperty

    protected static final com.hp.hpl.jena.util.iterator.Map1<com.hp.hpl.jena.ontology.OntProperty,com.hp.hpl.jena.ontology.OntResource> mapProperty

### mapClass

    protected static final com.hp.hpl.jena.util.iterator.Map1<com.hp.hpl.jena.ontology.OntClass,com.hp.hpl.jena.ontology.OntResource> mapClass

### mapInd

    protected static final com.hp.hpl.jena.util.iterator.Map1<com.hp.hpl.jena.ontology.Individual,com.hp.hpl.jena.ontology.OntResource> mapInd

Constructor Detail

### JENAOntology

    public JENAOntology()

Method Detail

### getEntity

    public Object getEntity(URI u)
                     throws OntowrapException

  Specified by:
    `getEntity` in interface `LoadedOntology<com.hp.hpl.jena.ontology.OntModel>`
  Throws:
    `OntowrapException`

### getEntityAnnotations

    public void getEntityAnnotations(Object o,
                                     Set<String> annots,
                                     String lang)
                              throws OntowrapException

  Throws:
    `OntowrapException`

### getEntityAnnotations

    public Set<String> getEntityAnnotations(Object o)
                                     throws OntowrapException

  Description copied from interface: `LoadedOntology`
  Returns all the values of the "owl:AnnotationProperty" property for a given entity. These annotations are those predefined in owl (owl:versionInfo, rdfs:label, rdfs:comment, rdfs:seeAlso and rdfs:isDefinedBy) but also all other defined annotation properties which are subClass of "owl:AnnotationProperty"

  Specified by:
    `getEntityAnnotations` in interface `LoadedOntology<com.hp.hpl.jena.ontology.OntModel>`
  Parameters:
    `o` - the entity
  Returns:
    the set of annotation values
  Throws:
    `OntowrapException`

### getEntityAnnotations

    public Set<String> getEntityAnnotations(Object o,
                                            String lang)
                                     throws OntowrapException

  Description copied from interface: `LoadedOntology`
  Returns all the values of the "owl:AnnotationProperty" property for a given entity expressed in the required language. These annotations are those predefined in owl (owl:versionInfo, rdfs:label, rdfs:comment, rdfs:seeAlso and rdfs:isDefinedBy) but also all other defined annotation properties which are subClass of "owl:AnnotationProperty"

  Specified by:
    `getEntityAnnotations` in interface `LoadedOntology<com.hp.hpl.jena.ontology.OntModel>`
  Parameters:
    `o` - the entity
    `lang` - the code of the language ("en", "fr", "es", etc.)
  Returns:
    the set of annotation values
  Throws:
    `OntowrapException`

### getEntityComments

    public Set<String> getEntityComments(Object o,
                                         String lang)
                                  throws OntowrapException

  Description copied from interface: `LoadedOntology`
  Returns the values ofof textual properties (e.g., "rdfs:comment", rdfs:label in RDFS/OWL) for a given entity and for a given natural language (attribute xml:lang).

  Specified by:
    `getEntityComments` in interface `LoadedOntology<com.hp.hpl.jena.ontology.OntModel>`
  Parameters:
    `o` - the entity
    `lang` - the code of the language ("en", "fr", "es", etc.)
  Returns:
    the set of comments
  Throws:
    `OntowrapException`

### getEntityComments

    public Set<String> getEntityComments(Object o)
                                  throws OntowrapException

  Description copied from interface: `LoadedOntology`
  Returns all the values of textual properties (e.g., "rdfs:comment", rdfs:label in RDFS/OWL) for a given entity

  Specified by:
    `getEntityComments` in interface `LoadedOntology<com.hp.hpl.jena.ontology.OntModel>`
  Parameters:
    `o` - the entity
  Returns:
    the set of comments
  Throws:
    `OntowrapException`

### getEntityName

    public String getEntityName(Object o)
                         throws OntowrapException

  Description copied from interface: `LoadedOntology`
  returns the default name of an entity if specified. otherwise, returns one of its names (e.g., "rdfs:label" property values). Which name is returned is unspecified. In case no such official name is given to the entity it is possible to use the entity URI to return its fragment identifier (after the '#') or last fragment (after the last "/" or just before) in this order. Because of its low definiteness, it is not advised to use this primitive and it is better to use other ones (getNames, getComments, getAnnotations).

  Specified by:
    `getEntityName` in interface `LoadedOntology<com.hp.hpl.jena.ontology.OntModel>`
  Parameters:
    `o` - the entity
  Returns:
    a label
  Throws:
    `OntowrapException`

### getEntityName

    public String getEntityName(Object o,
                                String lang)
                         throws OntowrapException

  Description copied from interface: `LoadedOntology`
  returns the default name of an entity in a language (attribute xml:lang) if specified. Which name is returned is unspecified. otherwise, returns one of its names (e.g., "rdfs:label" property values) otherwise returns the default name (getEntityName) Because of its low definiteness, it is not advised to use this primitive and it is better to use other ones (getNames, getComments, getAnnotations).

  Specified by:
    `getEntityName` in interface `LoadedOntology<com.hp.hpl.jena.ontology.OntModel>`
  Parameters:
    `o` - the entity
  Returns:
    a label
  Throws:
    `OntowrapException`

### getEntityNames

    public Set<String> getEntityNames(Object o,
                                      String lang)
                               throws OntowrapException

  Description copied from interface: `LoadedOntology`
  returns all the names of an entity in a language if specified. otherwise, returns null

  Specified by:
    `getEntityNames` in interface `LoadedOntology<com.hp.hpl.jena.ontology.OntModel>`
  Parameters:
    `o` - the entity
    `lang` - the code of the language ("en", "fr", "es", etc.)
  Returns:
    the default name
  Throws:
    `OntowrapException`

### getEntityNames

    public Set<String> getEntityNames(Object o)
                               throws OntowrapException

  Description copied from interface: `LoadedOntology`
  Returns all the names a given entity (e.g., rdfs:labels in OWL/RDFS).

  Specified by:
    `getEntityNames` in interface `LoadedOntology<com.hp.hpl.jena.ontology.OntModel>`
  Parameters:
    `o` - the entity
  Returns:
    the set of labels
  Throws:
    `OntowrapException`

### getEntityURI

    public URI getEntityURI(Object o)
                     throws OntowrapException

  Specified by:
    `getEntityURI` in interface `LoadedOntology<com.hp.hpl.jena.ontology.OntModel>`
  Throws:
    `OntowrapException`

### getClasses

    public Set<com.hp.hpl.jena.ontology.OntClass> getClasses()

  Specified by:
    `getClasses` in interface `LoadedOntology<com.hp.hpl.jena.ontology.OntModel>`

### getDataProperties

    public Set<com.hp.hpl.jena.ontology.DatatypeProperty> getDataProperties()

  Specified by:
    `getDataProperties` in interface `LoadedOntology<com.hp.hpl.jena.ontology.OntModel>`

### getEntities

    public Set<com.hp.hpl.jena.ontology.OntResource> getEntities()

  Description copied from interface: `LoadedOntology`
  Returns all named entities having URI beginning with the ontology URI

  Specified by:
    `getEntities` in interface `LoadedOntology<com.hp.hpl.jena.ontology.OntModel>`
  Returns:
    the set of entities

### getIndividuals

    public Set<com.hp.hpl.jena.ontology.Individual> getIndividuals()

  Specified by:
    `getIndividuals` in interface `LoadedOntology<com.hp.hpl.jena.ontology.OntModel>`

### getObjectProperties

    public Set<com.hp.hpl.jena.ontology.ObjectProperty> getObjectProperties()

  Specified by:
    `getObjectProperties` in interface `LoadedOntology<com.hp.hpl.jena.ontology.OntModel>`

### getProperties

    public Set<com.hp.hpl.jena.ontology.OntProperty> getProperties()

  Specified by:
    `getProperties` in interface `LoadedOntology<com.hp.hpl.jena.ontology.OntModel>`

### isClass

    public boolean isClass(Object o)

  Specified by:
    `isClass` in interface `LoadedOntology<com.hp.hpl.jena.ontology.OntModel>`

### isDataProperty

    public boolean isDataProperty(Object o)

  Specified by:
    `isDataProperty` in interface `LoadedOntology<com.hp.hpl.jena.ontology.OntModel>`

### isEntity

    public boolean isEntity(Object o)

  Specified by:
    `isEntity` in interface `LoadedOntology<com.hp.hpl.jena.ontology.OntModel>`

### isIndividual

    public boolean isIndividual(Object o)

  Specified by:
    `isIndividual` in interface `LoadedOntology<com.hp.hpl.jena.ontology.OntModel>`

### isObjectProperty

    public boolean isObjectProperty(Object o)

  Specified by:
    `isObjectProperty` in interface `LoadedOntology<com.hp.hpl.jena.ontology.OntModel>`

### isProperty

    public boolean isProperty(Object o)

  Specified by:
    `isProperty` in interface `LoadedOntology<com.hp.hpl.jena.ontology.OntModel>`

### nbEntities

    public int nbEntities()

  Specified by:
    `nbEntities` in interface `LoadedOntology<com.hp.hpl.jena.ontology.OntModel>`

### nbClasses

    public int nbClasses()

  Specified by:
    `nbClasses` in interface `LoadedOntology<com.hp.hpl.jena.ontology.OntModel>`

### nbDataProperties

    public int nbDataProperties()

  Specified by:
    `nbDataProperties` in interface `LoadedOntology<com.hp.hpl.jena.ontology.OntModel>`

### nbIndividuals

    public int nbIndividuals()

  Specified by:
    `nbIndividuals` in interface `LoadedOntology<com.hp.hpl.jena.ontology.OntModel>`

### nbObjectProperties

    public int nbObjectProperties()

  Specified by:
    `nbObjectProperties` in interface `LoadedOntology<com.hp.hpl.jena.ontology.OntModel>`

### nbProperties

    public int nbProperties()

  Specified by:
    `nbProperties` in interface `LoadedOntology<com.hp.hpl.jena.ontology.OntModel>`

### unload

    public void unload()

  Specified by:
    `unload` in interface `LoadedOntology<com.hp.hpl.jena.ontology.OntModel>`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Alignment API and Server 4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

(C) INRIA & friends, 2003-2010